package com.bcxin.ins.third.build.yangguang.yggc;

import com.google.common.collect.Lists;

import java.util.List;

/**
 * 保单信息 ----> 险种信息
 * Created by Apple on 2017/7/19.
 */
public class PolicyEngage {
    private String riskCode ; // 险种代码
    private String serialNo ; // 序号
    private String lineNo ; // 行序号
    private String clauseCode ; //条款编码
    private String clauses ; // 条款文字描述
    private String titleFlag ; // 是否为标题
    private String flag ; //标志字段

    public static List<PolicyEngage> getDemo(){
        List<PolicyEngage> l = Lists.newArrayList();
        l.add( new PolicyEngage("demo"));
        l.add( new PolicyEngage("demo1"));
        return l;
    }

    public PolicyEngage(){}

    private PolicyEngage(String demo){
        if("demo".equals(demo)){
            this.riskCode = "2213";
            this.serialNo = "1";
            this.lineNo = "1";
            this.clauseCode = "T9999";
            this.clauses = "特别约定:";
            this.titleFlag = "0";
            this.flag = "1";
        }else if("demo1".equals(demo)){
            this.riskCode = "2213";
            this.serialNo = "1";
            this.lineNo = "2";
            this.clauseCode = "T9999";
            this.clauses = "1、投保人应当在本保险合同成立时一次性交清本保险合同约定的全部保险费，同时有义务应保险人之要求提供反担保。投保人未按约定交付保险费的，以及提供必要的反担保的，对于此前发生的保险事故，保险人不承担赔偿责任。2、受益人在索赔申请时，所提出的索赔要求应与施工合同约定条件相符，才能进行索赔。3、本保单仅承担投标保证保险责任。";
            this.titleFlag = "1";
            this.flag = "1";
        }
    }

    public String getRiskCode() {
        return riskCode;
    }

    public void setRiskCode(String riskCode) {
        this.riskCode = riskCode;
    }

    public String getSerialNo() {
        return serialNo;
    }

    public void setSerialNo(String serialNo) {
        this.serialNo = serialNo;
    }

    public String getLineNo() {
        return lineNo;
    }

    public void setLineNo(String lineNo) {
        this.lineNo = lineNo;
    }

    public String getClauseCode() {
        return clauseCode;
    }

    public void setClauseCode(String clauseCode) {
        this.clauseCode = clauseCode;
    }

    public String getClauses() {
        return clauses;
    }

    public void setClauses(String clauses) {
        this.clauses = clauses;
    }

    public String getTitleFlag() {
        return titleFlag;
    }

    public void setTitleFlag(String titleFlag) {
        this.titleFlag = titleFlag;
    }

    public String getFlag() {
        return flag;
    }

    public void setFlag(String flag) {
        this.flag = flag;
    }
}
